com.hammurapi.common.concurrent

## Class LocalSynapse<C,R,E extends Exception>

- java.lang.Object
- - com.hammurapi.common.concurrent.LocalSynapse<C,R,E>

- Type Parameters:
    `R` -
  All Implemented Interfaces:
    Invocable<C,Future<Iterable<R>>,String,E>, Invoker<C,R,String,E>, Synapse<C,R,String,E>

      public class LocalSynapse<C,R,E extends Exception>
      extends Object
      implements Synapse<C,R,String,E>

  Synapse which operates within JVM.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalSynapse(boolean async, ClassLoader classLoader, Converter converter, Context context, long delay, long period, TimeUnit timeUnit, boolean chainPropertySet, String psPrefix)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<?>[]` | `getParameterTypes()`
    `Class<Future<Iterable<R>>>` | `getReturnType()`
    `Future<Iterable<R>>` | `invoke(C context, Invocation<String> invocation, ExecutorService executorService)`
    `void` | `setInvocable(Invocable<C,R,String,E> invocable)` Wires invoker to invocable.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalSynapse

          public LocalSynapse(boolean async,
                      ClassLoader classLoader,
                      Converter converter,
                      Context context,
                      long delay,
                      long period,
                      TimeUnit timeUnit,
                      boolean chainPropertySet,
                      String psPrefix)

  - ### Method Detail

    - #### setInvocable

          public void setInvocable(Invocable<C,R,String,E> invocable)

      Description copied from interface: `Invoker`
      Wires invoker to invocable.
      Specified by:
        `setInvocable` in interface `Invoker<C,R,String,E extends Exception>`

    - #### invoke

          public Future<Iterable<R>> invoke(C context,
                                   Invocation<String> invocation,
                                   ExecutorService executorService)

      Specified by:
        `invoke` in interface `Invocable<C,Future<Iterable<R>>,String,E extends Exception>`
        `invocation` - Invocation
        `executorService` - Executor service for performing asynchronous processing.
      Returns:

    - #### getReturnType

          public Class<Future<Iterable<R>>> getReturnType()

      Specified by:
        `getReturnType` in interface `Invocable<C,Future<Iterable<R>>,String,E extends Exception>`

    - #### getParameterTypes

          public Class<?>[] getParameterTypes()

      Specified by:
        `getParameterTypes` in interface `Invocable<C,Future<Iterable<R>>,String,E extends Exception>`